#ifndef INITS_INCLUDED
  #define INITS_INCLUDED

  #ifndef STM32F4
    #include <stm32f4xx.h>
    #define STM32F4
  #endif
#endif
  //Define pins for buttons
  #define BUTTON1_PORT GPIOB
  #define BUTTON1_PIN 5
  #define BUTTON1_PIN_IDR GPIO_IDR_IDR_5

  #define BUTTON2_PORT GPIOB
  #define BUTTON2_PIN 6
  #define BUTTON2_PIN_IDR GPIO_IDR_IDR_6

  #define BUTTON3_PORT GPIOB
  #define BUTTON3_PIN 7
  #define BUTTON3_PIN_IDR GPIO_IDR_IDR_7

  #define BUTTON4_PORT GPIOB
  #define BUTTON4_PIN 12
  #define BUTTON4_PIN_IDR GPIO_IDR_IDR_12

  #define BUTTON5_PORT GPIOB
  #define BUTTON5_PIN 13
  #define BUTTON5_PIN_IDR GPIO_IDR_IDR_13

  //Define pins for LEDs
  #define LED_FATERR_PORT GPIOE
  #define LED_FATERR_PIN 0
  #define LED_FATERR_OFF GPIO_BSRR_BS0
  #define LED_FATERR_ON GPIO_BSRR_BR0
  #define LED_FATERR_ODR GPIO_ODR_OD0
  #define LED_FATERR_IDR GPIO_IDR_ID0

  #define LED_FATALERT_PORT GPIOE
  #define LED_FATALERT_PIN 1
  #define LED_FATALERT_OFF GPIO_BSRR_BS1
  #define LED_FATALERT_ON GPIO_BSRR_BR1
  #define LED_FATALERT_ODR GPIO_ODR_OD1
  #define LED_FATALERT_IDR

  #define LED_ERR_PORT GPIOE
  #define LED_ERR_PIN 2
  #define LED_ERR_OFF GPIO_BSRR_BS2
  #define LED_ERR_ON GPIO_BSRR_BR2
  #define LED_ERR_ODR GPIO_ODR_OD2
  #define LED_ERR_IDR

  #define LED_TEST_PORT GPIOE
  #define LED_TEST_PIN 3
  #define LED_TEST_OFF GPIO_BSRR_BS3
  #define LED_TEST_ON GPIO_BSRR_BR3
  #define LED_TEST_ODR GPIO_ODR_OD3
  
  #define LED_RACE_PORT GPIOE
  #define LED_RACE_PIN 4
  #define LED_RACE_OFF GPIO_BSRR_BS4
  #define LED_RACE_ON GPIO_BSRR_BR4
  #define LED_RACE_ODR GPIO_ODR_OD4

  #define LED_FUELON_PORT GPIOE
  #define LED_FUELON_PIN 5
  #define LED_FUELON_OFF GPIO_BSRR_BS5
  #define LED_FUELON_ON GPIO_BSRR_BR5
  #define LED_FUELON_ODR GPIO_ODR_OD5

  #define LED_THROTTON_PORT GPIOE
  #define LED_THROTTON_PIN 6
  #define LED_THROTTON_OFF GPIO_BSRR_BS6
  #define LED_THROTTON_ON GPIO_BSRR_BR6
  #define LED_THROTTON_ODR GPIO_ODR_OD6
  
  //Define pins for LCD
  #define LCD_RS_PORT GPIOC
  #define LCD_RS_PIN 2
  #define LCD_RS_OFF GPIO_BSRR_BS2
  #define LCD_RS_ON GPIO_BSRR_BR2
  #define LCD_RS_ODR GPIO_ODR_OD2

  #define SPI_LCD_SELECT_PORT GPIOC
  #define SPI_LCD_SELECT_PIN 3
  #define SPI_LCD_SELECT_OFF GPIO_BSRR_BS3
  #define SPI_LCD_SELECT_ON GPIO_BSRR_BR3
  #define SPI_LCD_SELECT_ODR GPIO_ODR_OD3

  //Defines pins for USART
  #define COM USART3
  #define COM_RX_PORT GPIOD
  #define COM_RX_PIN 9

  #define COM_TX_PORT GPIOD
  #define COM_TX_PIN 8

  #define COM_CTS_PORT GPIOD
  #define COM_CTS_PIN 11

  #define COM_RTS_PORT GPIOD
  #define COM_RTS_PIN 12

  #define COM_CK_PORT GPIOD
  #define COM_CK_PIN 12

  //Declare functions
  void initClock(void);
  void initPins(void);
  void initNVIC(void);
  void initTimer(void);
  void initCOM(void);